Summary: Themes for the UserUI of Software Suspend 2
Name: userui-suspend2-theme
Version: 1.0
Release: 5.cubbi1
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://suspend2.net/
Source0: http://suspend2.net/downloads/all/snowboard-tux-v2.tar.bz2
Source1: manzanatux-v2.tar.bz2
Source2: fedora-bubbles-v1.tar.bz2
Source3: rhgb-v1.tar.bz2
Source4: fedora-dna-v1.tar.bz2
Source5: redhat-tikanga-v1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-snowboardtux, swsusp2-userui-manzanatux
BuildArch: noarch

%description
Provides themes for userui-suspend2-fbsplash.

%package snowboardtux
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-snowboardtux
Summary: Snowboarding Tux theme
Group: Applications/System
%description snowboardtux
This package includes the default Suspend 2 theme showing a snowboarding Tux.

%package manzanatux
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-manzanatux
Summary: Manzana Tux theme
Group: Applications/System
%description manzanatux
This package includes the Manzana Tux theme, based on the Manzana Tux GDM
theme. It was made by Eric Lassauge <lassauge@users.sourceforge.net>.

%package fedorabubbles
Requires: userui-suspend2-fbsplash
Summary: Fedora bubbles theme for Core 5
Group: Applications/System
%description fedorabubbles
This package includes the standard bubble theme for Fedora Core 5.

%package rhgb
Requires: userui-suspend2-fbsplash
Summary: RHGB theme
Group: Applications/System
%description rhgb
This package includes a theme matching RHGB on Fedora Core 4.  It was made by
Eric Lassauge <lassauge@users.sourceforge.net>.

%package fedoradna
Requires: userui-suspend2-fbsplash
Summary: Fedora DNA theme for Core 6
Group: Applications/System
%description fedoradna
This package includes the standard DNA theme for Fedora Core 6.

%package rhel-tikanga
Requires: userui-suspend2-fbsplash
Summary: Redhat Tikanga theme for RHEL 5
Group: Applications/System
%description rhel-tikanga
This package includes the standard Tikanga theme for Redhat Enterprise Linux 5.

%prep

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/splash

# Install themes
# Snowboard-Tux
bzip2 -dc %{SOURCE0} | tar -x -C $RPM_BUILD_ROOT/etc/splash
pushd $RPM_BUILD_ROOT/etc/splash
ln -s snowboard-tux suspend2
popd

# Manzana-Tux
bzip2 -dc %{SOURCE1} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Bubbles
bzip2 -dc %{SOURCE2} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# RHGB
bzip2 -dc %{SOURCE3} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora DNA
bzip2 -dc %{SOURCE4} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# RHEL Tikanga
bzip2 -dc %{SOURCE5} | tar -x -C $RPM_BUILD_ROOT/etc/splash

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post manzanatux
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s manzanatux suspend2
popd > /dev/null
fi

%post fedorabubbles
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-bubbles suspend2
popd > /dev/null
fi

%post rhgb
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s rhgb suspend2
popd > /dev/null
fi

%post fedoradna
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-dna suspend2
popd > /dev/null
fi

%post rhel-tikanga
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s redhat-tikanga suspend2
popd > /dev/null
fi

%files

%files snowboardtux
%config(noreplace) /etc/splash/suspend2
/etc/splash/snowboard-tux

%files manzanatux
/etc/splash/manzanatux

%files fedorabubbles
/etc/splash/fedora-bubbles

%files rhgb
/etc/splash/rhgb

%files fedoradna
/etc/splash/fedora-dna

%files rhel-tikanga
/etc/splash/redhat-tikanga

%changelog
* Sat Mar 17 2007 Matthias Hensler <matthias@wspse.de> 1.0-5.cubbi1
- created tikanga theme for RHEL5.

* Fri Oct 20 2006 Matthias Hensler <matthias@wspse.de> 1.0-4.cubbi2
- rebuild for Fedora Core 6 final.

* Tue Sep 19 2006 Matthias Hensler <matthias@wspse.de> 1.0-4.cubbi1
- created dna theme for FC6.

* Mon Mar 20 2006 Matthias Hensler <matthias@wspse.de> 1.0-3.cubbi1
- rebuild.

* Mon Mar 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> 1.0-2.cubbi4
- Add %%files entry for missing main package.

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi4
- build for Fedora Core 5 final.

* Tue Mar 07 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi3
- added rhgb theme by Eric Lassauge <lassauge@users.sf.net>.
- removed unnecessary pushd/popd calls in install-section.
- fixed lower y-coordinate in silent box in manzanatux and snowboardtux
  theme (800x600.cfg) as reported by Eric Lassauge.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi2
- made progressbox for 800x600 and 640x480 in fedorabubbles a bit smaller.

* Wed Feb 22 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi1
- split themes from userui-suspend2 into this seperate package.
- created bubbles theme for FC5.

